/*
 * $Id: htmlfile.C,v 1.4 1996/08/26 00:35:49 asf Exp $
 */

/*
   
    This file is part of an HTML generator interface
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "htmlfile.H"

/***************************************************************************/

HtmlFile::HtmlFile( FILE *f ){
  file = f;
  debug_off();
}

//---------------------------------------------------------------------------

void HtmlFile::debug( int d ){
  v_debug = d;
}

//---------------------------------------------------------------------------

void HtmlFile::debug_on(){
  debug( 1 );
}

//---------------------------------------------------------------------------

void HtmlFile::debug_off(){
  debug( 0 );
}

//---------------------------------------------------------------------------

int HtmlFile::get_debug(){
  return v_debug;
}

//---------------------------------------------------------------------------

HtmlFile::~HtmlFile(){
}

//---------------------------------------------------------------------------
// Output a valid content type header

void HtmlFile::cgi_header( CgiHeader *header ){
  out( header->val() );
}

//---------------------------------------------------------------------------

void HtmlFile::content_type(){
  out( "Content-type: text/html\n" );
  out( "\n" );
}

//---------------------------------------------------------------------------
// From parent virtual

void HtmlFile::out( char *text ){
  fputs( text, file );
  if( v_debug ){
    fputs( text, stderr );
  }
}


/*
 * $Log: htmlfile.C,v $
 * Revision 1.4  1996/08/26 00:35:49  asf
 * Changed header() to cgi_header()
 *
 * Revision 1.3  1996/08/25 18:43:21  asf
 * Added CgiHeader stuff.
 *
 * Revision 1.2  1996/08/15 23:21:39  asf
 * Added debugging capabilities and interfaces.
 *
 * Revision 1.1  1994/07/26 20:00:05  asf
 * Initial revision
 *
 */
