/*
 * $Id: htmlfile.H,v 1.4 1996/08/26 00:36:04 asf Exp $
 */

/*
   
    This file is part of an HTML generator interface
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _HTMLFILE_H
#define _HTMLFILE_H

#include <stdio.h>

#include "htmlgen.H"
#include "cgiheader.H"

/***************************************************************************/

class HtmlFile:public HtmlGen{
public:
  // Constructor/destructor
  HtmlFile( FILE *f = stdout );
  ~HtmlFile();

  // Output a valid content type header
  void cgi_header( CgiHeader *header );
  void content_type();

  // Set/get the debugging status
  void debug( int d );
  void debug_off();
  void debug_on();
  int  get_debug();
  
private:
  // From parent virtual
  void out( char *text );

  // Data
  FILE *file;
  int v_debug;
  
};

/***************************************************************************/

#endif

/*
 * $Log: htmlfile.H,v $
 * Revision 1.4  1996/08/26 00:36:04  asf
 * Chaged header() to cgi_header()
 *
 * Revision 1.3  1996/08/25 18:43:00  asf
 * Added CgiHeader stuff.
 *
 * Revision 1.2  1996/08/15 23:21:56  asf
 * Added debugging interfaces.
 *
 * Revision 1.1  1994/07/26 20:00:27  asf
 * Initial revision
 *
 */
