/*
 * $Id: htmllist.C,v 1.1 1994/07/26 20:02:55 asf Exp $
 */

/*
   
    This file is part of an HTML generator interface
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "htmllist.H"

/***************************************************************************/

HtmlNode::HtmlNode( char *val, HtmlNode *prev, HtmlNode *next )
: Node( prev, next ){
  _value = val;
}

//---------------------------------------------------------------------------

HtmlNode::~HtmlNode(){
}

//---------------------------------------------------------------------------
// Accessors

char *HtmlNode::value(){
  return _value;
}

//---------------------------------------------------------------------------

HtmlList::HtmlList(){
}

//---------------------------------------------------------------------------

HtmlList::~HtmlList(){
}

/***************************************************************************/

HtmlDNode::HtmlDNode( char *val1, char *val2,
                      HtmlDNode *prev, HtmlDNode *next )
: Node( prev, next ){
  _value1 = val1;
  _value2 = val2;
}

//---------------------------------------------------------------------------

HtmlDNode::~HtmlDNode(){
}

//---------------------------------------------------------------------------
// Accessors

char *HtmlDNode::value1(){
  return _value1;
}

//---------------------------------------------------------------------------

char *HtmlDNode::value2(){
  return _value2;
}

//---------------------------------------------------------------------------

HtmlDList::HtmlDList(){
}

//---------------------------------------------------------------------------

HtmlDList::~HtmlDList(){
}

/***************************************************************************/

HtmlSNode::HtmlSNode( char *val, int sel, HtmlSNode *prev, HtmlSNode *next )
: Node( prev, next ){
  _value = val;
  _selected = sel;
}

//---------------------------------------------------------------------------

HtmlSNode::~HtmlSNode(){
}

//---------------------------------------------------------------------------
// Accessors

char *HtmlSNode::value(){
  return _value;
}

int HtmlSNode::selected(){
  return _selected;
}

//---------------------------------------------------------------------------

HtmlSList::HtmlSList(){
}

//---------------------------------------------------------------------------

HtmlSList::~HtmlSList(){
}

/***************************************************************************/

/*
 * $Log: htmllist.C,v $
 * Revision 1.1  1994/07/26  20:02:55  asf
 * Initial revision
 *
 */
