/*
 * $Id: htmllist.H,v 1.1 1994/07/26 20:02:16 asf Exp $
 */

/*
   
    This file is part of an HTML generator interface
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _HTMLLIST_H
#define _HTMLLIST_H

#include "list.H"

/***************************************************************************/

class HtmlNode:public Node{
public:
  // Constructor/Destructor
  HtmlNode( char *val, HtmlNode *prev = NULL, HtmlNode *next = NULL );
  ~HtmlNode();
  
  // Accessors
  char *value();
  
private:
  char *_value;
};

//---------------------------------------------------------------------------

class HtmlList:public List{
public:
  HtmlList();
  ~HtmlList();
};

/***************************************************************************/

class HtmlDNode:public Node{
public:
  // Constructor/Destructor
  HtmlDNode( char *val1, char *val2,
             HtmlDNode *prev=NULL, HtmlDNode *next=NULL );
  ~HtmlDNode();
  
  // Accessors
  char *value1();
  char *value2();
  
private:
  char *_value1;
  char *_value2;
};

//---------------------------------------------------------------------------

class HtmlDList:public List{
public:
  HtmlDList();
  ~HtmlDList();
};

/***************************************************************************/

class HtmlSNode:public Node{
public:
  // Constructor/Destructor
  HtmlSNode( char *val, int sel=0,
             HtmlSNode *prev = NULL, HtmlSNode *next = NULL );
  ~HtmlSNode();
  
  // Accessors
  char *value();
  int  selected();
private:
  char *_value;
  int  _selected;
};

//---------------------------------------------------------------------------

class HtmlSList:public List{
public:
  HtmlSList();
  ~HtmlSList();
};



#endif

/*
 * $Log: htmllist.H,v $
 * Revision 1.1  1994/07/26  20:02:16  asf
 * Initial revision
 *
 */
