/*
 * $Id: htmltext.C,v 1.3 1996/03/25 20:21:28 asf Exp $
 */

/*
   
    This file is part of an HTML generator interface
    Copyright (C) 1994, 1995  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdlib.h>
#include <string.h>

#include "htmltext.H"

#define BUFF_INC (1024)

/***************************************************************************/

HtmlText::HtmlText(){
  v_buf_size = BUFF_INC;
  v_buffer = (char *)malloc( v_buf_size + 1 );
  v_buffer[0] = '\0';
  v_data_len = 0;
}

//---------------------------------------------------------------------------
HtmlText::~HtmlText(){
  free( v_buffer );
}

//---------------------------------------------------------------------------
// Get the value (can we have auto typecasting?)
char *HtmlText::val(){
  return v_buffer;
}

//---------------------------------------------------------------------------
// From parent virtual
void HtmlText::out( char *text ){
  /*
   * If the string we are going to add is too big for the buffer, then
   * we need to increase the size of the buffer and continue to try
   * to add.
   */

  int tl;
  char *new_buffer;

  tl = strlen( text );
  if( (tl + v_data_len) > v_buf_size ){
    
    // Make a buffer size big enough
    while( (tl + v_data_len) > v_buf_size ){
      v_buf_size += BUFF_INC;
    }

    // Allocate the space for it, plus a null terminator
    new_buffer = (char *)malloc( v_buf_size + 1 );

    // Copy the buffer, free the old one, and then set the right pointer
    strcpy( new_buffer, v_buffer );
    free( v_buffer );
    v_buffer = new_buffer;
  }

  // Add the string to the buffer
  //strcat( v_buffer, text );
  strcpy( v_buffer + v_data_len, text );
  v_data_len += tl;
}

/*
 * $Log: htmltext.C,v $
 * Revision 1.3  1996/03/25  20:21:28  asf
 * Some attempts at changing memory allocation scheme again.
 *
 * Revision 1.2  1995/05/07  14:27:53  asf
 * Attempts to fix a potential memory allocation problem.
 *
 * Revision 1.1  1994/07/26  20:01:05  asf
 * Initial revision
 *
 */
